%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.8
%global pypi_name naya

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        1.1.1
Release:        3.0.3%{?dist}
Summary:        A fast streaming JSON parser written in pure python

License:        MIT
URL:            https://github.com/danielyule/naya
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        LICENSE.txt
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros


Obsoletes:      python3-%{pypi_name} < %{version}-%{release}
%if 0%{?rhel} == 8
Obsoletes:      python38-%{pypi_name} < %{version}-%{release}
%endif

%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
cp %SOURCE1 .
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%license LICENSE.txt
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Jul 19 2024 Craig Guiller <craig.guiller@oracle.com> - 1.1.1-3.0.3
- Rebuild for python 3.11

* Thu Apr 20 2023 Qing Lin <qing.lin@oracle.com> - 1.1.1-3.0.2
- Add license file

* Fri Jan 27 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 1.1.1-3.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-27]

* Wed May 25 2022 Odilon Sousa <osousa@redhat.com> - 1.1.1-3
- Bump release to rebuild against python 3.9

* Tue May 24 2022 Odilon Sousa <osousa@redhat.com> - 1.1.1-2
- Bump package release for a rebuild on python 3.9

* Thu May 19 2022 Odilon Sousa <osousa@redhat.com> - 1.1.1-1
- Initial package.
